/*** NAVIGATION */

:root {

    --nav-button-height: 3rem;
    --nav-button-width: 3.2rem;
    --work-panel-width: min(40rem, 100vw);
}

nav.sitewide {

    display: block;
}

#navigation-bar {

    position: fixed;
    display: flex;
    top: 0;
    left: 0;
    height: auto;

    z-index: 1100;
    padding: 0 0.5rem;

    background-color: rgb(255, 255, 246);
    background-color: #d7dbd8;
    background-color: transparent;
    /* background-color: rgb(11, 17, 16); */

    user-select: none;
}

.nav-preLoad {
    display: none;
    width: 1px;
    height: 1px;
    overflow: hidden;
    position: fixed;
    z-index: 0;
    top: -200px;
    left: -200px;

    & img {
        display: none;
    }
}

.nav-button {

    display: block;
    height: var(--nav-button-height);
    margin: 0.5rem;

    color: rgba(0,0,0,0);
    background-repeat: no-repeat;

    border-radius: 3px;

    flex-grow: 1;
    cursor: pointer;
    overflow: hidden;
}

#nav-button_home {

    font-size: 1rem;
    
    width: 17rem;
    background-image: url(../img/nametag.png);
    background-size: cover;
     background-size: 100%;
    background-position: center center;

    &:hover {

        background-size: 105%;

    }
}

#nav-button_info {

    width: var(--nav-button-width);
    position: relative;
    background-image: url(../img/nav-icons_info-contact_default.gif);
    background-position: center center;
    background-size: 200%;

    &:hover {
        background-image: url(../img/nav-icons_info-contact_hover.gif);
    }

    &:active {
        background-image: url(../img/nav-icons_info-contact_active.gif);
        background-size: 150%;
    }
}

#nav-button_work {

    width: var(--nav-button-width);

    background-image: url(../img/nav-icons_project-list_default.gif);
    background-position: center center;
    background-size: 200%;

    &:hover {
        background-image: url(../img/nav-icons_project-list_hover.gif);
    }

    &:active {
        background-image: url(../img/nav-icons_project-list_active.gif);
        background-size: 150%;
    }
}

.popup-container {

    display: block;
    position: fixed;
    z-index: 500;
    

    max-width: calc(100vw - 3rem);
    max-height: 100vh;

    /* popup styling here */
    background-color: #fafafa;
    /* background-color: #1e201f; */
    box-shadow: 0px 4px 0px -2px #111111b2;
    border: 2px solid #333;
    color: #efebeb;
    color: #313131;
    border-radius: 1px;

    cursor: crosshair;

    & .popup-heading {
        padding: 1rem;
    }

    & .bodyText {
        padding: 1rem;
        font-size: 1.5em;
    }

    & .xClose {
        width: 2rem;
        height: 2rem;
        position: absolute;
        right: 1rem;
        top: 1rem;
    }
}

#popup_about {

    width: max(30rem, 40vw);
    height: 50vh;
    top: 20%;
    left: 0.5rem;
    bottom: auto;
    right: auto;
    overflow-y: scroll;
}

#popup_contact {

    width: max(50vw, 40rem);
    height: 15rem;
    top: auto;
    left: 0.5rem;
    bottom: 1rem;
    right: unset;
}

#popup_headshot {

    position: fixed;
    width: 10rem;
    height: 15rem;
    top: 20%;
    left: 0.5rem;
    left: -200rem;

    visibility: none;
    opacity: 0;
    display: none;

    cursor: grab;
    background-image: url(../img/pic.png);
    background-attachment:local;
    background-size: 200%;
    background-position: center center;

    &:active {
        cursor: grabbing;
        scale: 1.01;
    }
}

#popup_work {
    
    width: 0rem;
    height: 40rem;
    top: 20%;
    left: unset;
    bottom: unset;
    right: 0.5rem;
    opacity: 0;

    &.on {
        opacity: 100%;
        width: 40rem;

        /* transition: width 100ms cubic-bezier(0,0.7,0,1); */
    }
}

a.work-link {

    padding: 1rem;
    color: #313131;

    &:hover {
        /* color: #fff; */
        background-color: #f0f0f0;
    }
}
